%define pkg slides
Summary: DocBook Slides document type and stylesheets
Name: docbook-slides
Version: 3.3.1
Release: 2.1
License: BSD
Group: Applications/Text
URL: http://sourceforge.net/projects/docbook
Source0: %{pkg}-%{version}.tar.gz
Source1: %{name}.xml
Source2: %{name}.cat
Source3: %{name}.README.redhat
Patch: %{name}.patch
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: docbook-dtds
Requires: docbook-xsl
Requires: docbook-simple
Requires: sgml-common
Requires: libxml2


%description
DocBook Slides provides customization layers of the both the
Simplified and the full DocBook XML DTD, as well as the DocBook XSL
Stylesheets. This package contains the XML document type definition
and stylesheets for processing DocBook Slides XML. The slides doctype
and stylesheets are for generating presentations, primarily in HTML.

%prep
%setup -q -n %{pkg}-%{version}

%patch -p1


%install
rm -rf $RPM_BUILD_ROOT

DESTDIR=$RPM_BUILD_ROOT/usr/share/xml/docbook/slides/%{version}
mkdir -p $DESTDIR
cp -a browser $DESTDIR
cp -a graphics $DESTDIR
cp -a schema $DESTDIR
cp -a xsl $DESTDIR
cp -a VERSION $DESTDIR
cp -a catalog.xml $DESTDIR

## Install package catalogs into /etc/*ml/ ##

XML_CAT_DIR=$RPM_BUILD_ROOT/etc/xml
mkdir -p $XML_CAT_DIR
install -m 644 %{SOURCE1} $XML_CAT_DIR

SGML_CAT_DIR=$RPM_BUILD_ROOT/etc/sgml
mkdir -p $SGML_CAT_DIR
install -m 644 %{SOURCE2} $SGML_CAT_DIR

cp %{SOURCE3} ./README.fedora

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc doc
%doc tests
%doc ChangeLog
%doc README
%doc WhatsNew
%doc README.fedora
/usr/share/xml/docbook/slides/%{version}
/etc/sgml/docbook-slides.cat
/etc/xml/docbook-slides.xml


%post

##################  XML catalog registration #######################

## Define handy variables ##

ROOT_XML_CATALOG=/etc/xml/catalog
PKG_XML_CATALOG=/etc/xml/docbook-slides.xml
#LOCAL_XML_CATALOG=/usr/share/xml/docbook/slides/3.3.1/catalog.xml

#
# Register it in the super catalog with the appropriate delegates
#
if [ -w $ROOTCATALOG ]
then
        /usr/bin/xmlcatalog --noout --add "delegatePublic" \
                "-//Norman Walsh//DTD Slides" \
                "file://$PKG_XML_CATALOG" $ROOT_XML_CATALOG

        /usr/bin/xmlcatalog --noout --add "delegateSystem" \
                "http://docbook.sourceforge.net/release/slides" \
                "file://$PKG_XML_CATALOG" $ROOT_XML_CATALOG
        /usr/bin/xmlcatalog --noout --add "delegateURI" \
                "http://docbook.sourceforge.net/release/slides" \
                "file://$PKG_XML_CATALOG" $ROOT_XML_CATALOG
fi
####################################################################


#################  SGML catalog registration  ######################

ROOT_SGML_CATALOG=/etc/sgml/catalog
PKG_SGML_CATALOG=/etc/sgml/docbook-slides.cat

#### Root SGML Catalog Entries ####
#### "Delegate" appropriate lookups to package catalog ####

############## use install-catalog ######################

if [ -w $ROOT_SGML_CATALOG ]
then
# xmlcatalog deletes OVERRIDE YES directive, use install-catalog instead
#         /usr/bin/xmlcatalog --sgml --noout --add \
# 		"/etc/sgml/docbook-slides.cat"

	install-catalog --add \
	$PKG_SGML_CATALOG \
	$ROOT_SGML_CATALOG 1>/dev/null

# Hack to workaround bug in install-catalog
	sed 's/^CATALOG.*log\"$//g' $PKG_SGML_CATALOG  >> $PKG_SGML_CATALOG.tmp
	mv -f $PKG_SGML_CATALOG.tmp $PKG_SGML_CATALOG
fi

####################################################################

# Finally, make sure everything in /etc/*ml is readable!
/bin/chmod a+r /etc/sgml/*
/bin/chmod a+r /etc/xml/*

%postun
##
## SGML and XML catalogs
##
## Jobs: remove package catalog entries from both root catalogs &
##       remove package catalogs

##### SGML catalogs #####

## Remove package catalog entry from SGML root catalog
/usr/bin/xmlcatalog --sgml --noout --del \
	/etc/sgml/catalog \
	"/etc/sgml/docbook-slides.cat" 
	
## Remove SGML package catalog
rm -f /etc/sgml/docbook-slides.cat


##### XML catalogs #####

## Remove package catalog entry from XML root catalog
/usr/bin/xmlcatalog --noout --del \
	"file:///etc/xml/docbook-slides.xml" \
	/etc/xml/catalog 

## Remove XML package catalog
rm -f /etc/sgml/docbook-slides.xml

## Remove dtd directory
rm -rf /usr/share/xml/docbook/slides


%changelog
* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Sep  8 2004 Mark Johnson <mjohnson@redhat.com> 3.3.1-1
- Initial public release
- Moved files to /usr/share/xml
- Added SGML catalog registration
- Fixed catalog.xml, which gets broken by xmlcatalog
- Composed README.fedora

* Mon Feb  2 2004 Tim Waugh <twaugh@redhat.com> 3.3.1-0.1
- 3.3.1.

* Tue Dec 23 2003 Tim Waugh <twaugh@redhat.com> 3.3.0-0.1
- 3.3.0.

* Wed Oct 22 2003 Tim Waugh <twaugh@redhat.com> 3.2.0-0.1
- Initial build.


